﻿namespace UltraDateTimeEditorIssue
{
    using System;
    using System.Windows.Forms;

    public partial class Form1 : Form
    {
        public Form1()
        {
            this.InitializeComponent();
            this.Load += Form1_Load;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            //  Set calendar info to UltraCalendarCombo
            this.ultraCalendarCombo1.CalendarInfo = this.ultraCalendarInfo1;

            //  Set some custom names for each month of the year in calendar info
            var index = 0;
            foreach(var month in this.ultraCalendarInfo1.MonthsOfYear)
            {
                index++;
                month.ShortDescription = index.ToString();
                month.LongDescription = string.Format("Month {0}", index);
            }
        }
    }
}
